toolzerhub API Docs

Get job details

Returns one job posting's full detail by job_id — the id a search result's job_id carries. data is null when the id does not exist.

1 credit / requestBilled only on success
GET
/v1/seek/job

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

job_id*string

The numeric id Seek uses in /job/ — the same value a search result's job_id carries.

Match^\d{4,12}$
Length4 <= length <= 12
curl -X GET "https://example.com/v1/seek/job?job_id=94059954" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "job_id": "94059954",    "url": "string",    "title": "Founding Engineer",    "status": "Active",    "is_expired": true,    "is_verified": true,    "is_link_out": true,    "abstract": "string",    "description_html": "string",    "listed_at": "2026-08-18T21:50:30.957Z",    "listed_at_display": "15d ago",    "expires_at": "string",    "location_label": "Sydney NSW",    "structured_location": {      "country": "Australia",      "country_code": "AU",      "suburb": "Sydney",      "region": "string",      "state": "New South Wales",      "postcode": "2000"    },    "salary_label": "$12,000 – $17,000 per month",    "work_types_label": "Full time",    "work_types": [      "FULL_TIME"    ],    "advertiser": {      "id": "string",      "name": "Visaible",      "is_verified": true,      "registered_at": "string"    },    "classifications": [      "Engineering - Software (Information & Communication Technology)"    ],    "contact_matches": [      {        "type": "Email",        "value": "string"      }    ],    "phone_number": "string",    "share_link": "string",    "branding": {      "logo_url": "string",      "cover_url": "string",      "thumbnail_url": "string",      "bullets": [        "string"      ],      "questionnaire_questions": [        "string"      ],      "video_url": "string"    }  }}